View Issue Details

IDProjectCategoryView StatusLast Update
0000501XMB1Bugspublic2018-01-18 06:09
ReportermiqrogrooveAssigned Tomiqrogroove 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.9.8 SP2 
Target Version1.9.11.15Fixed in Version1.9.11.15 
Summary0000501: Default Value of Full URL Does Not Detect HTTPS
DescriptionXMB installer should correctly display https in the default Full URL when appropriate.
TagsNo tags attached.
MySQL Version
PHP Version
Web Server
Browser
Flags
Original Reporter
SVN Revision2729

Activities

Xian

2017-09-16 21:09

reporter   ~0000337

patched installer (index.php) file that has the function to detect http protocol and places the proper http or https automatically.

this will be included in the 1.9.12.5.BETA package

index.php (73,145 bytes)

miqrogroove

2017-12-20 20:19

administrator   ~0000345

Xian, thanks for the effort, but this 73k php file is all over the place. It includes too many irrelevant changes. HTTP_X headers are never secure in a default environment and cannot be used in XMB. All we need here is a simple patch to check whether the "s" should be added.

Issue History

Date Modified Username Field Change
2017-03-15 08:38 miqrogroove New Issue
2017-09-16 21:09 Xian File Added: index.php
2017-09-16 21:09 Xian Note Added: 0000337
2017-12-20 06:42 miqrogroove Priority normal => urgent
2017-12-20 07:10 miqrogroove Target Version 1.9.11.14 => 1.9.11.15
2017-12-20 20:14 miqrogroove Status new => confirmed
2017-12-20 20:14 miqrogroove Product Version => 1.9.8 SP2
2017-12-20 20:19 miqrogroove Note Added: 0000345
2017-12-26 06:40 miqrogroove Assigned To => miqrogroove
2017-12-26 06:40 miqrogroove Status confirmed => assigned
2017-12-26 07:15 miqrogroove Status assigned => resolved
2017-12-26 07:15 miqrogroove Resolution open => fixed
2017-12-26 07:15 miqrogroove Fixed in Version => 1.9.11.15
2017-12-26 07:15 miqrogroove SVN Revision => 2729
2018-01-18 06:09 miqrogroove Status resolved => closed